astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- Parametric1DModel

# Parametric1DModel

class `astropy.modeling.core.``Parametric1DModel`(**kwargs)

  Bases: `astropy.modeling.core.ParametricModel`

  Base class for one dimensional parametric models.

  This class provides an easier interface to defining new models. Examples can be found in functional_models.py

  Parameters:

  parameters : dictionary

  > Dictionary of model parameters with initialisation values {‘parameter_name’: ‘parameter_value’}